This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 480347 - Please build libgsasl for EPEL 5
Please build libgsasl for EPEL 5
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: libgsasl (Show other bugs)
10
All Linux
high Severity low
: ---
: ---
Assigned To: Nikolay Vladimirov
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 480335
  Show dependency treegraph
 
Reported: 2009-01-16 10:56 EST by Jan Pazdziora
Modified: 2009-01-23 04:35 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-22 15:15:37 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Pazdziora 2009-01-16 10:56:59 EST
Description of problem:

Please build libgsasl for EPEL 5.

The Spacewalk project is interested in moving from our own version of jabberd to something more standard, so we'd like to get jabberd to EPEL. However, jabberd BuildRequires libgsasl-devel. Therefore, we'd like to get libgsasl to EPEL.

Version-Release number of selected component (if applicable):

The one from F10, 0.2.29-1.

Additional info:

Please let me know, if you do not want to be the maintainer for the 
libgsasl EPEL packages.
Comment 1 Nikolay Vladimirov 2009-01-16 11:09:04 EST
My only concern is that I know nothing about EPEL and it's policies about updates and such. So it's maybe better if someone who already maintains EPEL packages does this. 
This package is very low maintenance for a year it's been only rebuilds for new versions.
Comment 2 Nikolay Vladimirov 2009-01-16 11:18:33 EST
I'll do it if nobody steps up.
Comment 3 Jan Pazdziora 2009-01-19 03:48:42 EST
(In reply to comment #1)
> My only concern is that I know nothing about EPEL and it's policies about
> updates and such.

The policies are here: https://fedoraproject.org/wiki/EPEL/GuidelinesAndPolicies

The Digest is:
   have a mostly stable set of packages that normally to not
   change at all and only changes if there are good reasons
   for it -- so no "hey, there is a new version, it builds,
   let's ship it" mentality.

So it's a very low-change thing.

(In reply to comment #2)
> I'll do it if nobody steps up.

Thanks.
Comment 4 Nikolay Vladimirov 2009-01-19 05:56:50 EST
Ok. It will take some time. It should be ready by the end of the week.
Comment 5 Nikolay Vladimirov 2009-01-20 14:15:44 EST
libgsasl requires libntlm so I've built it for EPEL5.
As I remember from fedora7's plague a packages in plague are build against stable. Not sure about this.
So as I understand I have to wait about a month to get the package to stable and then build libgsasl. 

Please clarify this for me.
Comment 6 Jan Pazdziora 2009-01-20 14:24:55 EST
Based on info found at

https://fedoraproject.org/wiki/EPEL/FAQ#What_do_I_need_to_do_if_I_need_to_get_a_updated_package_quickly_into_the_EPEL_proper.3F

you should be able to ask for the package to be moved to EPEL repos faster via email to epel_signers-members AT fedoraproject DOT org.
Comment 7 Nikolay Vladimirov 2009-01-22 01:10:59 EST
My request to epel_signers was denied. 

Kevin Fenzi:
Well, we can push things to stable if there is a great need: Serious
bug fix or security issue, but I would be reluctant to push a new
package direct to stable.
Comment 8 Jan Pazdziora 2009-01-22 02:54:20 EST
Nikolay,

I've checked with epel_signers and Dennis Gilmore says:

> In EPEL built packages are immediately available to the buildroot. as long as
> libgsasl is built you will be able to build against it.  there is a short
> period while createrepo runs that it wont be available.  but very quickly
> after being built it will be available.  all packages will then sit in testing
> for a few weeks until the next stable push.

So if I understand it correctly, if you build libntlm, it should be immediately available in buildroot for libsasl to use, and if you build libgsasl, jabberd will be able to BuildRequire it (again, for build in testing). Which would be just fine. We do not really care that it will take some more time before the resulting jabberd gets to stable repo.

Can you verify that now that libntlm is built, you can build libgsasl as well?
Comment 9 Nikolay Vladimirov 2009-01-22 15:15:37 EST
1258 (libgsasl): Build on target fedora-5-epel succeeded.
    Build logs may be found at http://buildsys.fedoraproject.org/logs/fedora-5-epel/1258-libgsasl-0.2.29-1.el5/

Ok. I'm closing this.
Comment 10 Jan Pazdziora 2009-01-23 04:35:37 EST
Thanks, Nikolay.

Note You need to log in before you can comment on or make changes to this bug.